from openapi import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.extract.update_schema(schema_id="schema_invoice_123", name="Invoice Extraction v2", metadata={
"document_type": "invoice",
"version": "2",
})
# Handle response
print(res){
"success": true,
"data": {
"id": "schema_invoice_123",
"name": "Invoice Extraction v2",
"description": "Schema for extracting invoice data from PDF documents",
"schema": {
"type": "object",
"properties": {
"invoice_number": {
"type": "string"
},
"vendor_name": {
"type": "string"
},
"total_amount": {
"type": "number"
},
"date": {
"type": "string",
"format": "date"
}
},
"required": [
"invoice_number",
"total_amount"
]
},
"metadata": {
"document_type": "invoice",
"version": "2"
},
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-02-01T10:30:00Z"
}
}Actualizar un esquema de extracción existente y su metadata.
from openapi import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.extract.update_schema(schema_id="schema_invoice_123", name="Invoice Extraction v2", metadata={
"document_type": "invoice",
"version": "2",
})
# Handle response
print(res){
"success": true,
"data": {
"id": "schema_invoice_123",
"name": "Invoice Extraction v2",
"description": "Schema for extracting invoice data from PDF documents",
"schema": {
"type": "object",
"properties": {
"invoice_number": {
"type": "string"
},
"vendor_name": {
"type": "string"
},
"total_amount": {
"type": "number"
},
"date": {
"type": "string",
"format": "date"
}
},
"required": [
"invoice_number",
"total_amount"
]
},
"metadata": {
"document_type": "invoice",
"version": "2"
},
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-02-01T10:30:00Z"
}
}Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
El identificador único del esquema de extracción a actualizar
Campos para actualizar en el esquema de extracción. Todos los campos son opcionales; solo se actualizarán los campos proporcionados.
Nombre nuevo opcional para el esquema de extracción
1 - 100Descripción nueva opcional para el esquema
500Definición de esquema JSON actualizado opcional
Show child attributes
Metadatos actualizados opcionales
Show child attributes
Está bien
¿Esta página le ayudó?